Package gui.widget

# Class SmoothProgressBar

java.lang.Object
gui.widget.SmoothProgressBar

public class SmoothProgressBar extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmoothProgressBar()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `render(float progress)`
  `void`
  `render(String label, imgui.ImVec2 size, float progress)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SmoothProgressBar

    public SmoothProgressBar()

- ## Method Details

  - ### render

    public void render(String label, imgui.ImVec2 size, float progress)

  - ### render

    public void render(float progress)